%define sname		qlipper
%define version		5.1.1
%define release		%mkrel 1


Name:			%{sname}2
Version:		%{version}
Release:		%{release}
Summary:		QT Clipboard Tool
URL:			https://gitorious.org/qlipper/qlipper2
Group:			Graphical desktop/Other
License:		GPLv2
Source:			%{sname}-%{version}.tar.xz
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64x11-devel
BuildRequires: libstdc++-devel
BuildRequires: libxcb-devel
Requires:		python-qt5
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Obsoletes:		%sname < %version

%description
Lightweight and cross-platform clipboard history applet.

This application is a part of QtDesktop project and is improved version of original Qlipper 
which is available only as a download from qt-apps.org.

%prep
%setup -q -n %sname-%{version}

%build
cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=RelWithDebInfo

%make

%install
rm -rf %{buildroot}

#install -Dm 755 -p %sname $RPM_BUILD_ROOT/%_bindir/%sname
%{makeinstall} DESTDIR=%{buildroot}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc COPYING README
%_bindir/%sname
%{_datadir}/applications/%{sname}.desktop
%{_datadir}/%{sname}/translations/qlipper_*.qm
%{_iconsdir}/hicolor/*/apps/%{sname}.png

%changelog
* Fri Feb 01 2019 tex 5.1.1-1pclos2019
- update to qt5

* Sun Jul 24 2016 daniel <meisssw01 at gmail.com> 5.0.0-1pclos2016
- update from git

* Fri Dec 30 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 2.0-1_archie_2011
- Initial build
